# Pseudo_VarOut_T.h File Reference

`#include "tao/varbase.h"`
`#include "tao/Pseudo_VarOut_T.inl"`

Include dependency graph for Pseudo_VarOut_T.h:

This graph shows which files directly or indirectly include this file:

## Classes

class | TAO_Pseudo_Var_T< T >
| Parametrized implementation of _var class for TypeCode, Object, AbstractBase, NamedValue, NVList, Principal, Request, Context, ORB, LocalObject, and Environment. More...
class | TAO_Pseudo_Out_T< T, T_var >
| Parametrized implementation of _out class for TypeCode, Object, AbstractBase, NamedValue, NVList, Principal, Request, Context, ORB, LocalObject, and Environment. More...

## Detailed Description

Id
  Pseudo_VarOut_T.h,v 1.12 2005/11/02 11:03:26 ossama Exp

Note:
  This header should be included after all types to be passed as template parameters to the TAO_Pseudo_{Var,Out}_T template classes have been declared. If the types in question are defined in another header, include that header before this one.

  Including other headers like "tao/CORBA_methods.h" here can cause circular dependency related problems when using compilers that lookup and bind non-dependent names in templates at definition time (i.e. while parsing the code) instead of at instantiation time.

Todo:
  Look into adding a template parameter to each of the templates in question that would be a trait containing the means for releasing references managed by the templates. Doing so should work around the non-dependent name issues in g++ 3.4, thus easing the requirement that this header be parsed last.

-Ossama

Author:
  Jeff Parsons